BuildRequires: /proc
BuildRequires: jpackage-compat
# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

#def_with bootstrap
%bcond_with bootstrap
#def_with gcj_support
%bcond_with gcj_support
%bcond_without repolib

%define repodir %{_javadir}/repository.jboss.com/org/slf4j/%{version}-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

%if %with gcj_support
%define gcj_support 0
%else
%define gcj_support 0
%endif

%global previous_version 1.5.8


Name:           slf4j
Version:        1.6.1
Release:        alt2_4jpp6
Epoch:          0
Summary:        Simple Logging Facade for Java
Group:          Development/Java
License:        MIT
URL:            http://www.slf4j.org/
Source0:        http://www.slf4j.org/dist/slf4j-%{version}.tar.gz
Source1:        %{name}-settings.xml
Source2:        %{name}-jpp-depmap.xml
Source3:        slf4j-component-info.xml
Patch0:         slf4j-pom.patch
Patch1:         slf4j-integration.patch
Patch2:         slf4j-bootstrap.patch
Requires(post): jpackage-utils >= 0:1.7.5
Requires(postun): jpackage-utils >= 0:1.7.5
Requires: cal10n >= 0:0.7.4
Requires: jpackage-utils
BuildRequires: apache-commons-parent >= 0:9
BuildRequires: jpackage-utils >= 0:1.7.5
BuildRequires: ant >= 0:1.6.5
BuildRequires: ant-junit >= 0:1.6.5
BuildRequires: cal10n >= 0:0.7.4
BuildRequires: javassist >= 0:3.4
BuildRequires: junit >= 0:3.8.2
BuildRequires: maven2 >= 2.0.7
BuildRequires: maven2-plugin-antrun
BuildRequires: maven2-plugin-compiler
BuildRequires: maven2-plugin-deploy
BuildRequires: maven2-plugin-install
BuildRequires: maven2-plugin-jar
BuildRequires: maven2-plugin-javadoc
BuildRequires: maven2-plugin-resources
BuildRequires: maven2-plugin-source
BuildRequires: maven-doxia-sitetools
BuildRequires: maven-surefire-maven-plugin
BuildRequires: maven-surefire-provider-junit
BuildRequires: excalibur-avalon-framework
BuildRequires: log4j
BuildRequires: jakarta-commons-logging
%if %without bootstrap
#BuildRequires:  %{name} = %{epoch}:%{version}
%endif
%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
%else
BuildArch:      noarch
%endif
Source44: import.info

%description
The Simple Logging Facade for Java or (SLF4J) is intended to serve
as a simple facade for various logging APIs allowing to the end-user
to plug in the desired implementation at deployment time. SLF4J also
allows for a gradual migration path away from
Jakarta Commons Logging (JCL). 

Logging API implementations can either choose to implement the
SLF4J interfaces directly, e.g. NLOG4J or SimpleLogger. Alternatively,
it is possible (and rather easy) to write SLF4J adapters for the given
API implementation, e.g. Log4jLoggerAdapter or JDK14LoggerAdapter.. 

%package javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}
Requires: jpackage-utils
BuildArch: noarch

%description javadoc
%{summary}.

%package manual
Group:          Development/Documentation
Summary:        Documents for %{name}
BuildArch: noarch

%description manual
%{summary}.

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%setup -q
%patch0 -p0 -b .sav0
%patch1 -p0 -b .sav1
%if %with bootstrap
%patch2 -p0 -b .sav2
%endif

%{_bindir}/find -type f -name "*.jar" | %{_bindir}/xargs -t %{__rm}
%{_bindir}/find -type f -name "*.css" -o -type f -name "*.js" -o -type f -name "*.txt" | %{_bindir}/xargs -t %{__perl} -pi -e 's/\r$//g'
# FIXME: needs felix 2.x
rm -r integration/src/test/

cp -p %{SOURCE1} settings.xml

sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml
sed -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" settings.xml
sed -i -e "s|<url>__ECLIPSEDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/eclipse/plugins</url>|g" settings.xml

mkdir external_repo
ln -s %{_javadir} external_repo/JPP

%build
%if 0
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
%endif
mvn-jpp -Dmaven.compile.target=1.5 -Dmaven.javadoc.source=1.5  \
        -e \
        -s $(pwd)/settings.xml \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=${MAVEN_REPO_LOCAL} \
        -DaltDeploymentRepository=oss-releases::default::file://$(pwd)/maven2-brew \
        -Dmaven.test.failure.ignore=false \
        deploy javadoc:javadoc

%install

# jars
install -d -m 0755 %{buildroot}%{_javadir}/%{name}
cp -p maven2-brew/org/slf4j/integration/*/integration-*.jar %{buildroot}%{_javadir}/%{name}/
#cp -p maven2-brew/org/slf4j/integration/*/integration-*-sources.jar %{buildroot}%{_javadir}/%{name}/
%if %without bootstrap
cp -p maven2-brew/org/slf4j/jcl-over-slf4j/*/jcl-over-slf4j-*.jar %{buildroot}%{_javadir}/%{name}/
cp -p maven2-brew/org/slf4j/jcl-over-slf4j/*/jcl-over-slf4j-*-sources.jar %{buildroot}%{_javadir}/%{name}/
%endif
cp -p maven2-brew/org/slf4j/jul-to-slf4j/*/jul-to-slf4j-*.jar %{buildroot}%{_javadir}/%{name}/
cp -p maven2-brew/org/slf4j/jul-to-slf4j/*/jul-to-slf4j-*-sources.jar %{buildroot}%{_javadir}/%{name}/
%if %without bootstrap
cp -p maven2-brew/org/slf4j/log4j-over-slf4j/*/log4j-over-slf4j-*.jar %{buildroot}%{_javadir}/%{name}/
cp -p maven2-brew/org/slf4j/log4j-over-slf4j/*/log4j-over-slf4j-*-sources.jar %{buildroot}%{_javadir}/%{name}/
%endif
cp -p maven2-brew/org/slf4j/slf4j-api/*/slf4j-api-*.jar %{buildroot}%{_javadir}/%{name}/
cp -p maven2-brew/org/slf4j/slf4j-api/*/slf4j-api-*-sources.jar %{buildroot}%{_javadir}/%{name}/
cp -p maven2-brew/org/slf4j/slf4j-api/*/slf4j-api-*-tests.jar %{buildroot}%{_javadir}/%{name}/
cp -p maven2-brew/org/slf4j/slf4j-ext/*/slf4j-ext-*.jar %{buildroot}%{_javadir}/%{name}/
cp -p maven2-brew/org/slf4j/slf4j-ext/*/slf4j-ext-*-sources.jar %{buildroot}%{_javadir}/%{name}/
cp -p maven2-brew/org/slf4j/slf4j-jcl/*/slf4j-jcl-*.jar %{buildroot}%{_javadir}/%{name}/
cp -p maven2-brew/org/slf4j/slf4j-jcl/*/slf4j-jcl-*-sources.jar %{buildroot}%{_javadir}/%{name}/
%if %without bootstrap
cp -p maven2-brew/org/slf4j/slf4j-jdk14/*/slf4j-jdk14-*.jar %{buildroot}%{_javadir}/%{name}/
cp -p maven2-brew/org/slf4j/slf4j-jdk14/*/slf4j-jdk14-*-sources.jar %{buildroot}%{_javadir}/%{name}/
%endif
cp -p maven2-brew/org/slf4j/slf4j-log4j12/*/slf4j-log4j12-*.jar %{buildroot}%{_javadir}/%{name}/
cp -p maven2-brew/org/slf4j/slf4j-log4j12/*/slf4j-log4j12-*-sources.jar %{buildroot}%{_javadir}/%{name}/
cp -p maven2-brew/org/slf4j/slf4j-migrator/*/slf4j-migrator-*.jar %{buildroot}%{_javadir}/%{name}/
cp -p maven2-brew/org/slf4j/slf4j-migrator/*/slf4j-migrator-*-sources.jar %{buildroot}%{_javadir}/%{name}/
cp -p maven2-brew/org/slf4j/slf4j-nop/*/slf4j-nop-*.jar %{buildroot}%{_javadir}/%{name}/
cp -p maven2-brew/org/slf4j/slf4j-nop/*/slf4j-nop-*-sources.jar %{buildroot}%{_javadir}/%{name}/
cp -p maven2-brew/org/slf4j/slf4j-simple/*/slf4j-simple-*.jar %{buildroot}%{_javadir}/%{name}/
cp -p maven2-brew/org/slf4j/slf4j-simple/*/slf4j-simple-*-sources.jar %{buildroot}%{_javadir}/%{name}/
cp -p maven2-brew/org/slf4j/slf4j-site/*/slf4j-site-*.jar %{buildroot}%{_javadir}/%{name}/
cp -p maven2-brew/org/slf4j/slf4j-site/*/slf4j-site-*-sources.jar %{buildroot}%{_javadir}/%{name}/
%if %with bootstrap
# FIXME
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{previous_version}*; do %{__mv} ${jar} `echo $jar | sed "s|-%{previous_version}|-%{version}|g"`; done)
%endif
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{version}*; do %{__ln_s} ${jar} `echo $jar | sed "s|-%{version}||g"`; done)

# poms
install -d -m 755 %{buildroot}%{_datadir}/maven2/poms
cp -p maven2-brew/org/slf4j/integration/*/integration-*.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-integration.pom
%if %without bootstrap
cp -p maven2-brew/org/slf4j/jcl-over-slf4j/*/jcl-over-slf4j-*.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-jcl-over-slf4j.pom
%endif
cp -p maven2-brew/org/slf4j/jul-to-slf4j/*/jul-to-slf4j-*.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-jul-to-slf4j.pom
%if %without bootstrap
cp -p maven2-brew/org/slf4j/log4j-over-slf4j/*/log4j-over-slf4j-*.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-log4j-over-slf4j.pom
%endif
cp -p maven2-brew/org/slf4j/slf4j-api/*/slf4j-api-*.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-slf4j-api.pom
cp -p maven2-brew/org/slf4j/slf4j-ext/*/slf4j-ext-*.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-slf4j-ext.pom
cp -p maven2-brew/org/slf4j/slf4j-jcl/*/slf4j-jcl-*.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-slf4j-jcl.pom
%if %without bootstrap
cp -p maven2-brew/org/slf4j/slf4j-jdk14/*/slf4j-jdk14-*.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-slf4j-jdk14.pom
%endif
cp -p maven2-brew/org/slf4j/slf4j-log4j12/*/slf4j-log4j12-*.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-slf4j-log4j12.pom
cp -p maven2-brew/org/slf4j/slf4j-migrator/*/slf4j-migrator-*.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-slf4j-migrator.pom
cp -p maven2-brew/org/slf4j/slf4j-nop/*/slf4j-nop-*.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-slf4j-nop.pom
cp -p maven2-brew/org/slf4j/slf4j-parent/*/slf4j-parent-*.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-slf4j-parent.pom
cp -p maven2-brew/org/slf4j/slf4j-simple/*/slf4j-simple-*.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-slf4j-simple.pom
cp -p maven2-brew/org/slf4j/slf4j-site/*/slf4j-site-*.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-slf4j-site.pom

%add_to_maven_depmap org.slf4j integration %{version} JPP/%{name} integration
%if %without bootstrap
%add_to_maven_depmap org.slf4j jcl-over-slf4j %{version} JPP/%{name} jcl-over-slf4j
%endif
%add_to_maven_depmap org.slf4j jul-to-slf4j %{version} JPP/%{name} jul-to-slf4j
%if %without bootstrap
%add_to_maven_depmap org.slf4j log4j-over-slf4j %{version} JPP/%{name} log4j-over-slf4j
%endif
%add_to_maven_depmap org.slf4j slf4j-api %{version} JPP/%{name} slf4j-api
%add_to_maven_depmap org.slf4j slf4j-ext %{version} JPP/%{name} slf4j-ext
%add_to_maven_depmap org.slf4j slf4j-jcl %{version} JPP/%{name} slf4j-jcl
%if %without bootstrap
%add_to_maven_depmap org.slf4j slf4j-jdk14 %{version} JPP/%{name} slf4j-jdk14
%endif
%add_to_maven_depmap org.slf4j slf4j-log4j12 %{version} JPP/%{name} slf4j-log4j12
%add_to_maven_depmap org.slf4j slf4j-migrator %{version} JPP/%{name} slf4j-migrator
%add_to_maven_depmap org.slf4j log4j-over-slf4j %{version} JPP/%{name} log4j-over-slf4j
%add_to_maven_depmap org.slf4j slf4j-nop %{version} JPP/%{name} slf4j-nop
%add_to_maven_depmap org.slf4j slf4j-parent %{version} JPP/%{name} slf4j-parent
%add_to_maven_depmap org.slf4j slf4j-simple %{version} JPP/%{name} slf4j-simple
%add_to_maven_depmap org.slf4j slf4j-site %{version} JPP/%{name} slf4j-site

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}-%{version}/
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

# manual
install -d -m 0755 %{buildroot}%{_docdir}/%{name}-%{version}
cp -pr target/site/* %{buildroot}%{_docdir}/%{name}-%{version}/
cp -p LICENSE.txt %{buildroot}%{_docdir}/%{name}-%{version}/
rm -r %{buildroot}%{_docdir}/%{name}-%{version}/apidocs

%if %with repolib
%{__install} -d -m 755 %{buildroot}%{repodir}
%{__install} -d -m 755 %{buildroot}%{repodirlib}
%{__install} -p -m 644 %{SOURCE3} %{buildroot}%{repodir}/component-info.xml
tag=`/bin/echo %{name}-%{version}-%{release} | %{__sed} 's|\.|_|g'`
%{__sed} -i "s/@TAG@/$tag/g" %{buildroot}%{repodir}/component-info.xml
%{__sed} -i "s/@VERSION@/%{version}-brew/g" %{buildroot}%{repodir}/component-info.xml
%{__install} -d -m 755 %{buildroot}%{repodirsrc}
%{__install} -p -m 644 %{SOURCE0} %{buildroot}%{repodirsrc}
%{__install} -p -m 644 %{SOURCE1} %{buildroot}%{repodirsrc}
%{__install} -p -m 644 %{SOURCE2} %{buildroot}%{repodirsrc}
%{__install} -p -m 644 %{PATCH0} %{buildroot}%{repodirsrc}
%{__install} -p -m 644 %{PATCH1} %{buildroot}%{repodirsrc}
%if %with bootstrap
%{__install} -p -m 644 %{PATCH2} %{buildroot}%{repodirsrc}
%endif
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-slf4j-api.pom %{buildroot}%{repodirlib}/slf4j-api.pom
%{__cp} -p %{buildroot}%{_javadir}/%{name}/slf4j-api-%{version}.jar %{buildroot}%{repodirlib}/slf4j-api.jar
%endif

%if %with repolib
%{__mkdir_p} %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%{__cp} -pr maven2-brew/* %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%endif

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

# hack: compat symlinks
pushd %{buildroot}%{_javadir}/%{name}/
for i in api jdk14 nop simple; do
    ln -s %{name}-$i.jar $i.jar
done
ln -s jcl-over-slf4j.jar jcl104-over-slf4j.jar
popd

%files
# hack: compat symlinks
%{_javadir}*/%{name}/simple.jar
%{_javadir}*/%{name}/api.jar
%{_javadir}*/%{name}/jdk14.jar
%{_javadir}*/%{name}/nop.jar
%{_javadir}*/%{name}/jcl104-over-slf4j.jar
%dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/LICENSE.txt
%dir %{_javadir}*/%{name}
%exclude %dir %{_javadocdir}/%{name}
#%{_javadir}*/%{name}/integration-%{version}-sources.jar
%{_javadir}*/%{name}/integration-%{version}.jar
#%{_javadir}*/%{name}/integration-sources.jar
%{_javadir}*/%{name}/integration.jar
%if %without bootstrap
%{_javadir}*/%{name}/jcl-over-slf4j-%{version}-sources.jar
%{_javadir}*/%{name}/jcl-over-slf4j-%{version}.jar
%{_javadir}*/%{name}/jcl-over-slf4j-sources.jar
%{_javadir}*/%{name}/jcl-over-slf4j.jar
%endif
%{_javadir}*/%{name}/jul-to-slf4j-%{version}-sources.jar
%{_javadir}*/%{name}/jul-to-slf4j-%{version}.jar
%{_javadir}*/%{name}/jul-to-slf4j-sources.jar
%{_javadir}*/%{name}/jul-to-slf4j.jar
%if %without bootstrap
%{_javadir}*/%{name}/log4j-over-slf4j-%{version}-sources.jar
%{_javadir}*/%{name}/log4j-over-slf4j-%{version}.jar
%{_javadir}*/%{name}/log4j-over-slf4j-sources.jar
%{_javadir}*/%{name}/log4j-over-slf4j.jar
%endif
%{_javadir}*/%{name}/slf4j-api-%{version}-sources.jar
%{_javadir}*/%{name}/slf4j-api-%{version}-tests.jar
%{_javadir}*/%{name}/slf4j-api-%{version}.jar
%{_javadir}*/%{name}/slf4j-api-sources.jar
%{_javadir}*/%{name}/slf4j-api-tests.jar
%{_javadir}*/%{name}/slf4j-api.jar
%{_javadir}*/%{name}/slf4j-ext-%{version}-sources.jar
%{_javadir}*/%{name}/slf4j-ext-%{version}.jar
%{_javadir}*/%{name}/slf4j-ext-sources.jar
%{_javadir}*/%{name}/slf4j-ext.jar
%{_javadir}*/%{name}/slf4j-jcl-%{version}-sources.jar
%{_javadir}*/%{name}/slf4j-jcl-%{version}.jar
%{_javadir}*/%{name}/slf4j-jcl-sources.jar
%{_javadir}*/%{name}/slf4j-jcl.jar
%if %without bootstrap
%{_javadir}*/%{name}/slf4j-jdk14-%{version}-sources.jar
%{_javadir}*/%{name}/slf4j-jdk14-%{version}.jar
%{_javadir}*/%{name}/slf4j-jdk14-sources.jar
%{_javadir}*/%{name}/slf4j-jdk14.jar
%endif
%{_javadir}*/%{name}/slf4j-log4j12-%{version}-sources.jar
%{_javadir}*/%{name}/slf4j-log4j12-%{version}.jar
%{_javadir}*/%{name}/slf4j-log4j12-sources.jar
%{_javadir}*/%{name}/slf4j-log4j12.jar
%{_javadir}*/%{name}/slf4j-migrator-%{version}-sources.jar
%{_javadir}*/%{name}/slf4j-migrator-%{version}.jar
%{_javadir}*/%{name}/slf4j-migrator-sources.jar
%{_javadir}*/%{name}/slf4j-migrator.jar
%{_javadir}*/%{name}/slf4j-nop-%{version}-sources.jar
%{_javadir}*/%{name}/slf4j-nop-%{version}.jar
%{_javadir}*/%{name}/slf4j-nop-sources.jar
%{_javadir}*/%{name}/slf4j-nop.jar
%{_javadir}*/%{name}/slf4j-simple-%{version}-sources.jar
%{_javadir}*/%{name}/slf4j-simple-%{version}.jar
%{_javadir}*/%{name}/slf4j-simple-sources.jar
%{_javadir}*/%{name}/slf4j-simple.jar
%{_javadir}*/%{name}/slf4j-site-%{version}-sources.jar
%{_javadir}*/%{name}/slf4j-site-%{version}.jar
%{_javadir}*/%{name}/slf4j-site-sources.jar
%{_javadir}*/%{name}/slf4j-site.jar
%{_datadir}/maven2/poms/JPP.%{name}-integration.pom
%if %without bootstrap
%{_datadir}/maven2/poms/JPP.%{name}-jcl-over-slf4j.pom
%endif
%{_datadir}/maven2/poms/JPP.%{name}-jul-to-slf4j.pom
%if %without bootstrap
%{_datadir}/maven2/poms/JPP.%{name}-log4j-over-slf4j.pom
%endif
%{_datadir}/maven2/poms/JPP.%{name}-slf4j-api.pom
%{_datadir}/maven2/poms/JPP.%{name}-slf4j-ext.pom
%{_datadir}/maven2/poms/JPP.%{name}-slf4j-jcl.pom
%if %without bootstrap
%{_datadir}/maven2/poms/JPP.%{name}-slf4j-jdk14.pom
%endif
%{_datadir}/maven2/poms/JPP.%{name}-slf4j-log4j12.pom
%{_datadir}/maven2/poms/JPP.%{name}-slf4j-migrator.pom
%{_datadir}/maven2/poms/JPP.%{name}-slf4j-nop.pom
%{_datadir}/maven2/poms/JPP.%{name}-slf4j-parent.pom
%{_datadir}/maven2/poms/JPP.%{name}-slf4j-simple.pom
%{_datadir}/maven2/poms/JPP.%{name}-slf4j-site.pom
%{_mavendepmapfragdir}/%{name}
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/*-%{version}.jar.*
%endif
# hack; explicitly added docdir if not owned
%doc %dir %{_docdir}/%{name}-%{version}

%files javadoc
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%files manual
%dir %{_docdir}/%{name}-%{version}
%{_docdir}/%{name}-%{version}/*
%exclude %{_docdir}/%{name}-%{version}/LICENSE.txt
# hack; explicitly added docdir if not owned
%doc %dir %{_docdir}/%{name}-%{version}

%if %with repolib
%files repolib
%dir %{_javadir}*/
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Sat Mar 12 2011 Igor Vlasenko <viy@altlinux.ru> 0:1.6.1-alt2_4jpp6
- new version (full build)

* Sat Mar 12 2011 Igor Vlasenko <viy@altlinux.ru> 0:1.6.1-alt1_4jpp6
- new version (bootstrap)

* Fri Sep 03 2010 Igor Vlasenko <viy@altlinux.ru> 0:1.5.8-alt1_1jpp6
- new version

* Mon Feb 22 2010 Igor Vlasenko <viy@altlinux.ru> 0:1.5.2-alt2_2jpp5
- use default jpp profile

* Sat Sep 06 2008 Igor Vlasenko <viy@altlinux.ru> 0:1.5.2-alt1_2jpp5
- converted from JPackage by jppimport script

* Tue Feb 12 2008 Igor Vlasenko <viy@altlinux.ru> 0:1.4.2-alt2_2jpp1.7
- updated to new jpackage release

* Mon Dec 17 2007 Igor Vlasenko <viy@altlinux.ru> 0:1.4.2-alt2_1jpp1.7
- added dependency on new excalibur

* Wed Nov 14 2007 Igor Vlasenko <viy@altlinux.ru> 0:1.4.2-alt1_1jpp1.7
- converted from JPackage by jppimport script

